## oce 0.18.2

=== CMakeLists.txt ===
# REQUIREMENTS: this script needs CMake 2.8 or higher. Downloads are available at http://www.cmake.org

# How to build OCE using CMake under Unix (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level OCE folder
# 2. Make a build directory somewhere outside the OCE source tree
# 3. cmake "relative/path/to/OCE"
# 4. make
# 5. make install (or sudo make install)

# How to build OCE using CMake under Windows (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level folder
# 2. Launch the cmake-gui, and select the top-level folder
# 3. You can choose whatever you want as an install directory
# 4. Click 'Configure'
# 5. Choose your generator
# 6. When configure is achived, you can change the variable with a red background
# 7. Click 'Generate'
# 8. From your IDE, open the generated makefile and run the compilation.

project(OCE)

set(OCE_VERSION_MAJOR 0)
set(OCE_VERSION_MINOR 18)
# OCE_VERSION_PATCH is used for bugfixes releases only
# (uncomment following line)
set(OCE_VERSION_PATCH 2)
#  Empty for official releases, set to -dev, -rc1, etc for development releases
set(OCE_VERSION_DEVEL)

# bugfix release: add ${OCE_VERSION_PATCH} to OCE_VERSION
set(OCE_VERSION ${OCE_VERSION_MAJOR}.${OCE_VERSION_MINOR}${OCE_VERSION_DEVEL})

set(OCE_ABI_SOVERSION 11)
set(OCE_ABI_VERSION ${OCE_ABI_SOVERSION}.0.0)

# Set the minimum version of cmake required to 2.6
cmake_minimum_required( VERSION 2.6 )

# Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
# Set to OLD behavior until minimum cmake version >= 2.8.10 (version that COMPILE_DEFINITIONS can be set by generator expressions instead)
if (POLICY CMP0043)
	cmake_policy(SET CMP0043 OLD)
endif (POLICY CMP0043)
# Policy CMP0042 introduced in cmake version 3.0 enables the use of @rpath in an install name via MACOSX_RPATH by default
# Set to OLD behavior so that all versions use the same behavior, or until minimum cmake version >= 2.8.12 (version where @rpath is available)
if (POLICY CMP0042)
	cmake_policy(SET CMP0042 OLD)
endif (POLICY CMP0042)

# Define helper macro option_with_default
macro( option_with_default OPTION_NAME OPTION_STRING OPTION_DEFAULT )
	if( NOT DEFINED ${OPTION_NAME} )
		set( ${OPTION_NAME} ${OPTION_DEFAULT} )
	endif( NOT DEFINED ${OPTION_NAME} )
	option( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
endmacro( option_with_default OPTION_NAME OPTION_STRING OPTION_DEFAULT )

############################
# Check 32/64 bit platform #
############################
if (${CMAKE_SIZEOF_VOID_P} MATCHES "8") # It is 64bit, otherwise 32 bit systems match 4
	add_definitions(-D_OCC64)
	set(BIT 64)
else (${CMAKE_SIZEOF_VOID_P} MATCHES "8")
	set(BIT 32)
endif(${CMAKE_SIZEOF_VOID_P} MATCHES "8")

message(STATUS "Build ${BIT}bit")

if(NOT CMAKE_CONFIGURATION_TYPES)
	if(CMAKE_BUILD_TYPE STREQUAL "")
		set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the build type." FORCE)
		set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Release" "Debug" "RelWithDebInfo" "MinSizeRel")
	endif(CMAKE_BUILD_TYPE STREQUAL "")
endif(NOT CMAKE_CONFIGURATION_TYPES)

if(CMAKE_BUILD_TOOL STREQUAL "nmake")
	set(NMAKE TRUE)
endif(CMAKE_BUILD_TOOL STREQUAL "nmake")

if(MSVC)
	option_with_default( OCE_INSTALL_PDB_FILES "Install PDB files (debug informations)" ON )
	option_with_default( OCE_MULTITHREADED_BUILD "Multithreaded build (/MP Option)" ON )
endif(MSVC)

if(MINGW)
	option_with_default( OCE_INSTALL_PRIVATE_SAMEDIR "Install private DLLs in the same binary directory" OFF )
endif(MINGW)

############################
# Library name definitions #
############################

if(MSVC)
	set( OCE_LIBRARY_PREFIX "" )
	set( CMAKE_DEBUG_POSTFIX "d" )
else(MSVC)
	set( OCE_LIBRARY_PREFIX "lib" )
endif(MSVC)


if(APPLE)
	if(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
	else(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ".${OCE_ABI_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}" )
	endif(OCE_NO_LIBRARY_VERSION)
elseif(WIN32)
	# Don't encode library versions on Windows systems
	set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
else()
	if(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
	else(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION "${CMAKE_SHARED_LIBRARY_SUFFIX}.${OCE_ABI_SOVERSION}" )
	endif(OCE_NO_LIBRARY_VERSION)
endif()

if(BORLAND)
	option_with_default( OCE_INSTALL_TDS_FILES "Instal TDS files (debug informations)" ON )
endif(BORLAND)

if(WIN32)
	option_with_default( OCE_AUTOINSTALL_DEPENDENT_LIBS "Autoinstall dependent DLLs" ON )
	mark_as_advanced(OCE_AUTOINSTALL_DEPENDENT_LIBS)
endif()

if ((MSVC AND NOT NMAKE) OR CMAKE_COMPILER_IS_GNUCXX)
	set(OCE_COMPILER_SUPPORTS_PCH TRUE)
	if(MSVC)
		option_with_default( OCE_USE_PCH "Use Precompiled Headers" ON )
	else()
		option_with_default( OCE_USE_PCH "Use Precompiled Headers" OFF )
	endif()
	mark_as_advanced(OCE_USE_PCH)
endif((MSVC AND NOT NMAKE) OR CMAKE_COMPILER_IS_GNUCXX)

option_with_default( OCE_BUILD_SHARED_LIB "Build shared OCE libs" ON )
if(APPLE)
	option_with_default( OCE_OSX_USE_COCOA "Use native OSX Cocoa backend" ON )
endif(APPLE)
if(NOT MSVC AND NOT OCE_OSX_USE_COCOA)
	option_with_default( OCE_DISABLE_X11 "Disable components requiring X11 support" OFF )
	if(NOT APPLE AND NOT WIN32)
		mark_as_advanced(OCE_DISABLE_X11)
	endif(NOT APPLE AND NOT WIN32)
endif(NOT MSVC AND NOT OCE_OSX_USE_COCOA)
option_with_default( OCE_MODEL "Build model components" ON )
option_with_default( OCE_OCAF "Build application framework" ON )
option_with_default( OCE_DATAEXCHANGE "Build data exchange" ON )
option_with_default( OCE_DRAW "Build test harness \(DRAW\)" OFF )
option_with_default( OCE_VISUALISATION "Build visualisation component" ON )
option_with_default( OCE_WITH_GL2PS "Build with GL2PS" OFF )
option_with_default( OCE_WITH_FREEIMAGE "Build with FreeImage" OFF )
option_with_default( OCE_WITH_VTK "Build with VTK" OFF )
option_with_default( OCE_DISABLE_TKSERVICE_FONT "Disable TKService Font (only without Visualization)" OFF )
mark_as_advanced(OCE_DISABLE_TKSERVICE_FONT)
if(NOT WIN32)
  option_with_default( OCE_BUILD_TKERNEL_WITH_INSTALL_RPATH "Build TKernel with install RPATH" ON )
  mark_as_advanced(OCE_BUILD_TKERNEL_WITH_INSTALL_RPATH)
endif()
option_with_default( OCE_EXTRA_WARNINGS "Enable Maximum Warnings Level" OFF )
mark_as_advanced(OCE_EXTRA_WARNINGS)
if( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	option_with_default( OCE_TESTING "Enable unittesting framework" ON )
endif( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
option_with_default( OCE_ADD_HEADERS "Add headers to project files" OFF )
mark_as_advanced(OCE_ADD_HEADERS)
if (NOT WIN32)
	option_with_default( OCE_RPATH_FILTER_SYSTEM_PATHS "Filter out system paths from RPATH" ON )
	mark_as_advanced(OCE_RPATH_FILTER_SYSTEM_PATHS)
endif (NOT WIN32)
# When building OCE as part of another application, it may be useful to copy
# header files in a temporary location so that dependent applications can be built
option_with_default( OCE_COPY_HEADERS_BUILD "Copy header files when building OCE" OFF )

option_with_default( OCE_USE_TCL_TEST_FRAMEWORK "Add occt-tests target" OFF )

#
# By default, OSX uses X11 OpenGl implementation
#
if (APPLE)
	if (NOT OCE_OSX_USE_COCOA)
		set(MACOSX_USE_GLX TRUE)
	endif(NOT OCE_OSX_USE_COCOA)
endif(APPLE)
# The default for the OCCT_DEBUG define is ON for all the platforms , in debug mode.
# In MSVC it is not desirable to have it ON by default, since users must
# compile/use the OCE debug libraries to build it's own programs in DEBUG mode.
# OCCT_DEBUG should be enabled by developers only, in this case
if ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)
	set (DEB_DEFAULT "OFF")
else ()
	set (DEB_DEFAULT "ON")
endif ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)

option_with_default( OCE_ENABLE_DEB_FLAG "Enables OCCT_DEBUG define in debug configuration" ${DEB_DEFAULT} )
mark_as_advanced(OCE_ENABLE_DEB_FLAG)

if(NOT MSVC)
	option_with_default( OCE_COVERAGE "Build with coverage testing" OFF )
	mark_as_advanced(OCE_COVERAGE)
	if(OCE_COVERAGE)
		set( CMAKE_BUILD_TYPE "Debug" CACHE INTERNAL "Build type, immutable" FORCE )
	endif(OCE_COVERAGE)
endif(NOT MSVC)

if( NOT DEFINED OCE_MULTITHREAD_LIBRARY)
	set( OCE_MULTITHREAD_LIBRARY "NONE" CACHE STRING "(values are: NONE TBB OPENMP)" )
endif( NOT DEFINED OCE_MULTITHREAD_LIBRARY)

if (${CMAKE_VERSION} VERSION_GREATER 2.8)
	set_property(CACHE OCE_MULTITHREAD_LIBRARY PROPERTY STRINGS NONE TBB OPENMP)
endif (${CMAKE_VERSION} VERSION_GREATER 2.8)

option( OCE_MULTITHREAD_LIBRARY "Multithread library" ${OCE_MULTITHREAD_LIBRARY} )

if( OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" )
	option_with_default( OCE_TBB_MALLOC_SUPPORT "Use TBB for memory allocation" ON )
endif( OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" )

if( OCE_USE_TCL_TEST_FRAMEWORK )
	set( tcl_test_groups 3rdparty;blend;boolean;bugs;caf;chamfer;de;demo;draft;feat;geometry;heal;mesh;mkface;nproject;offset;perf;pipe;prism;sewing;thrusection;v3d;xcaf;xml )
	if( NOT DEFINED OCE_TCL_TEST_GROUP)
		set( OCE_TCL_TEST_GROUP "ALL" CACHE STRING "Group of OCCT test packages to run (values are: ALL;${tcl_test_groups})" )
	endif( NOT DEFINED OCE_TCL_TEST_GROUP)
	mark_as_advanced(OCE_TCL_TEST_GROUP)
	if (${CMAKE_VERSION} VERSION_GREATER 2.8)
		set_property(CACHE OCE_TCL_TEST_GROUP PROPERTY STRINGS "ALL;${tcl_test_groups}")
	endif (${CMAKE_VERSION} VERSION_GREATER 2.8)
endif( OCE_USE_TCL_TEST_FRAMEWORK )

if( NOT DEFINED OCE_INSTALL_PREFIX )
	if( WIN32 )
		set(OCE_INSTALL_PREFIX
			"c:/OCE-${OCE_VERSION}")
	else( WIN32 )
		set(OCE_INSTALL_PREFIX
			"/usr/local")
	endif( WIN32 )
endif( NOT DEFINED OCE_INSTALL_PREFIX )

set( OCE_INSTALL_PREFIX ${OCE_INSTALL_PREFIX} CACHE
	PATH "Install prefix prepended to target to create install location" )
set( CMAKE_INSTALL_PREFIX "${OCE_INSTALL_PREFIX}" CACHE INTERNAL "Prefix
	prepended to install directories if target destination is not absolute,
	immutable" FORCE )

if( OCE_BUILD_SHARED_LIB )
	set( OCE_LIBRARY_TYPE SHARED )
	set( OCE_BUILD_STATIC_LIB FALSE )
else( OCE_BUILD_SHARED_LIB )
	set( OCE_LIBRARY_TYPE STATIC )
	set( OCE_BUILD_STATIC_LIB TRUE )
	if ( WIN32 )
		add_definitions("-DHAVE_NO_DLL")
	endif( WIN32 )
endif( OCE_BUILD_SHARED_LIB )

# MSVC specific options
if(MSVC_IDE)
	if (NOT DEFINED OCE_USE_MSVC_EXPRESS )
		set (OCE_USE_MSVC_EXPRESS OFF)
	endif (NOT DEFINED OCE_USE_MSVC_EXPRESS)
	option( OCE_USE_MSVC_EXPRESS "Use a Visual C++ express IDE"
		${OCE_USE_MSVC_EXPRESS} )

	if(NOT OCE_USE_MSVC_EXPRESS)
		#Use solution folders.
		set_property(GLOBAL PROPERTY USE_FOLDERS ON)
		set(USE_SOLUTION_FOLDERS TRUE)
	else( NOT OCE_USE_MSVC_EXPRESS)
		set_property(GLOBAL PROPERTY USE_FOLDERS OFF)
	endif( NOT OCE_USE_MSVC_EXPRESS)

	option( OCE_USE_STATIC_MSVC_RUNTIME "Use static version of the MSVC run-time library" OFF )
	mark_as_advanced( OCE_USE_STATIC_MSVC_RUNTIME )
endif(MSVC_IDE)

set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_RELEASE NDEBUG)
set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_MINSIZEREL NDEBUG)
set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)

if(OCE_ENABLE_DEB_FLAG)
	set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_DEBUG "OCCT_DEBUG=1;_DEBUG")
else ()
	set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_DEBUG "_DEBUG")
endif (OCE_ENABLE_DEB_FLAG)

if(OCE_MULTITHREAD_LIBRARY STREQUAL "NONE")
    add_definitions(-DIGNORE_NO_ATOMICS)
endif (OCE_MULTITHREAD_LIBRARY STREQUAL "NONE")

#  Make OCE version visible to OCC_VERSION_STRING_EXT
set(OCC_VERSION_DEVELOPMENT oce-${OCE_VERSION})

#
# Check components dependencies
#
set(OCE_FOUNDATION TRUE)
if(OCE_OCAF OR OCE_DATAEXCHANGE OR OCE_VISUALISATION OR OCE_DRAW)
	set(OCE_VISU_DEP TRUE)
else(OCE_OCAF OR OCE_DATAEXCHANGE OR OCE_VISUALISATION OR OCE_DRAW)
	set(OCE_VISU_DEP FALSE)
endif(OCE_OCAF OR OCE_DATAEXCHANGE OR OCE_VISUALISATION OR OCE_DRAW)
if(OCE_DISABLE_X11)

=== examples/find_package_oce/CMakeLists.txt ===
# This example shows how to use find_package(OCE) by specifying
# a list of toolkits.
# If a toolkit is missing or if OCE is not found, a fatal error
# is thrown, we do not try to find an Opencascade installation.

cmake_minimum_required(VERSION 2.6)

find_package(OCE REQUIRED COMPONENTS TKPrim)

# Include files reside in ${OCE_INCLUDE_DIRS};
include_directories(${OCE_INCLUDE_DIRS})

# We do not need library path, they will be automatically imported.
add_executable(computeSurface computeSurface.cpp)
target_link_libraries(computeSurface TKPrim)

=== test/BRepGProp_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepGProp_test "TKG2d;TKPrim;TKTopAlgo")
endif (OCE_MODEL)

=== test/STEPImport_test/CMakeLists.txt ===
if (OCE_DATAEXCHANGE)
	set(step_file_ap203_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-tu-203.stp)
	set(step_file_ap203_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1_pe_203.stp)
	set(step_file_ap214_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-oc-214.stp)
	set(step_file_ap214_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/io1-cm-214.stp)
	set(step_file_ap214_3 ${CMAKE_SOURCE_DIR}/test/data/STEP/sg1-c5-214.stp)

	configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/STEPImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/STEPImport_test_config.h )
	include_directories(${CMAKE_BINARY_DIR}/test_inc)

	add_oce_test(STEPImport_test "TKernel;TKSTEP")
endif (OCE_DATAEXCHANGE)

=== test/TCollection_test/CMakeLists.txt ===
add_oce_test(TCollection_test "TKMath")

=== test/TDataXtd_test/CMakeLists.txt ===
if (OCE_DATAEXCHANGE AND NOT OCE_DISABLE_X11)
	# This test will dlopen FWOSPlugin, we link against it to ensure that
	# the library from the build tree is used.
	add_oce_test(TDataXtd_test "TKCAF;TKXCAF;FWOSPlugin")
	file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../src/StdResource" BuildPluginDir)
	# Semi-colon is a delimiter in SET_TESTS_PROPERTIES and have to be escaped
	string(REPLACE ";" "\\;" BuildPluginDir "${BuildPluginDir}")
	set_tests_properties(TDataXtdTestSuite.testPattern PROPERTIES ENVIRONMENT "CSF_PluginDefaults=${BuildPluginDir};CSF_PluginUserDefaults=${BuildPluginDir}")
endif (OCE_DATAEXCHANGE AND NOT OCE_DISABLE_X11)

=== test/UnitsAPI_test/CMakeLists.txt ===
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS SRC_CASROOT="${OCE_SOURCE_DIR}" SRC_RESOURCE="${OCE_SOURCE_DIR}/src/UnitsAPI")

add_oce_test(units_test "TKernel")

=== adm/cmake/TKBO/CMakeLists.txt ===
set(TOOLKIT TKBO)

set(TOOLKIT_MODULES
	IntTools
	BRepAlgoAPI
	BOPCol
	BOPInt
	BOPDS
	BOPAlgo
	BOPTools
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKTopAlgo
	TKMath
	TKernel
	TKG2d
	TKG3d
	TKGeomAlgo
	TKGeomBase
	TKPrim
)

if(OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)
	add_definitions(-DHAVE_TBB)
	set(TOOLKIT_INCLUDE_DIRECTORIES ${TBB_INCLUDE_DIR})
	if(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		set(TOOLKIT_LIBS_DEBUG ${TBB_LIBRARY_DEBUG})
		set(TOOLKIT_LIBS_OPTIMIZED ${TBB_LIBRARY})
	else(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		set(TOOLKIT_LIBS ${TBB_LIBRARY})
	endif(CMAKE_CONFIGURATION_TYPES OR NMAKE)
endif(OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)

include(../BuildToolkit.cmake)

=== adm/cmake/TKBin/CMakeLists.txt ===
set(TOOLKIT TKBin)

set(TOOLKIT_MODULES
	BinDrivers
	BinMDataXtd
	BinMPrsStd
	BinMNaming
	BinTools
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKMath
	TKernel
	TKG2d
	TKG3d
	TKCAF
	TKCDF
	TKLCAF
	TKV3d
	TKBinL
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKGeomAlgo/CMakeLists.txt ===
set(TOOLKIT TKGeomAlgo)

set(TOOLKIT_MODULES
	Hatch
	GeomInt
	IntStart
	IntWalk
	IntImp
	IntCurveSurface
	IntSurf
	IntPatch
	Geom2dInt
	IntImpParGen
	IntRes2d
	IntCurve
	TopTrans
	Intf
	ApproxInt
	GccAna
	GccEnt
	GccInt
	GccIter
	GccGeo
	HatchGen
	Geom2dHatch
	Law
	AppBlend
	Plate
	GeomPlate
	LocalAnalysis
	GeomAPI
	GeomFill
	Geom2dAPI
	Geom2dGcc
	FairCurve
	NLPlate
	IntPolyh
	TopClass
)
set(TOOLKIT_DEPENDS
	TKernel
	TKMath
	TKG3d
	TKG2d
	TKGeomBase
	TKBRep
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKGeomBase/CMakeLists.txt ===
set(TOOLKIT TKGeomBase)

set(TOOLKIT_MODULES
	ProjLib
	GeomProjLib
	GCPnts
	CPnts
	Approx
	AppParCurves
	FEmTool
	AppCont
	Extrema
	IntAna
	IntAna2d
	GeomConvert
	AdvApp2Var
	GeomLib
	Geom2dConvert
	Hermit
	BndLib
	AppDef
	GeomTools
	GC
	GCE2d
	gce
)
set(TOOLKIT_DEPENDS
	TKernel
	TKMath
	TKG2d
	TKG3d
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKIGES/CMakeLists.txt ===
set(TOOLKIT TKIGES)

set(TOOLKIT_MODULES
	IGESData
	IGESFile
	IGESBasic
	IGESGraph
	IGESGeom
	IGESDimen
	IGESDraw
	IGESSolid
	IGESDefs
	IGESAppli
	IGESConvGeom
	IGESSelect
	IGESToBRep
	GeomToIGES
	Geom2dToIGES
	BRepToIGES
	BRepToIGESBRep
	IGESControl
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKernel
	TKMath
	TKTopAlgo
	TKShHealing
	TKG2d
	TKG3d
	TKGeomBase
	TKGeomAlgo
	TKPrim
	TKBool
	TKOffset
	TKXSBase
)

include(../BuildToolkit.cmake)

=== debian/changelog ===
oce (0.18.2-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2019 18:12:31 -0700

oce (0.18.2-3) unstable; urgency=medium

  * Team upload.

  [ Sergei Golovan ]
  * [ae84e42] Switch to Tcl/Tk 8.6 from 8.5 since Tcl/Tk 8.5 is to be 
              remove from Debian. (Closes: #893029)

  [ Anton Gladky ]
  * [4c5ac13] Update VCS-fields (migrate to salsa)
  * [66ca6ae] Set Standards-Versions to 4.1.4
  * [ce39f14] Set compat-level to 11
  * [cf3ca0e] Add autopkgtests
  * [22cbb72] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Wed, 09 May 2018 22:09:54 +0200

oce (0.18.2-2) unstable; urgency=medium

  * [3524c7e] Move all headers assigned to oce-draw into
              liboce-visualization-dev. (Closes: #877560)
  * [554ede0] Set compat level to 10
  * [6865201] Set Standards-Version to 4.1.1

 -- Anton Gladky <gladk@debian.org>  Tue, 03 Oct 2017 12:44:41 +0200

oce (0.18.2-1) unstable; urgency=medium

  [ Steve Langasek ]
  * [1f5732d] Omit xlocale.h. (Closes: #875085)
  * [b25b9da] Set LD_LIBRARY_PATH for dh_auto_test. (Closes: #875123)

  [ Anton Gladky ]
  * [5ef5f50] Bump Standards-Version 4.1.0. Change priority extra->optional.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Sep 2017 18:47:24 +0200

oce (0.18.2-1~exp1) experimental; urgency=medium

  * [09e34d6] New upstream version 0.18.2
  * [1686d2b] Refresh patches
  * [7061ff7] Update install files
  * [0266103] Sort lines in install-files
  * [f1f09b3] Minor fixes in d/control
  * [69f73a6] Increase so-version, update package names
  * [29baf01] Set Standards-Version: 4.0.0
  * [8b65cbd] Remove libglu-dev from build-depends
  * [a451f24] Remove XS-Autobuild: no from d/control
  * [d177bb7] Remove old Conflicts/Replaces
  * [f82c331] Simplify Depends-section
  * [31a92cb] Apply cme fix dpkg
  * [fb865c4] Set maximal hardening level

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Aug 2017 22:30:24 +0200

=== debian/control ===
Source: oce
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>,
           Denis Barbier <barbier@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11~),
               libfreeimageplus-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libx11-dev,
               libxext-dev,
               quilt,
               tcl8.6-dev,
               tk8.6-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/oce
Vcs-Git: https://salsa.debian.org/science-team/oce.git
Homepage: https://github.com/tpaviot/oce/wiki

Package: liboce-foundation11
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: liboce-modeling11
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: liboce-visualization11
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: liboce-ocaf-lite11
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: liboce-ocaf11
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: oce-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libx11-dev,
         libfreetype6-dev,
         tcl8.6-dev,
         tk8.6-dev
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains the DRAW test harness.

Package: liboce-foundation-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation11 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-foundation11.

Package: liboce-modeling-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (= ${binary:Version}),
         liboce-modeling11 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-modeling11.

Package: liboce-ocaf-lite-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (= ${binary:Version}),
         liboce-modeling-dev (= ${binary:Version}),
         liboce-ocaf-lite11 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf-lite11.

Package: liboce-ocaf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (= ${binary:Version}),
         liboce-modeling-dev (= ${binary:Version}),
         liboce-ocaf-lite-dev (= ${binary:Version}),
         liboce-visualization-dev (= ${binary:Version}),
         liboce-ocaf11 (= ${binary:Version}),
         ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf11.

Package: liboce-visualization-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (= ${binary:Version}),
         liboce-modeling-dev (= ${binary:Version}),
         liboce-ocaf-lite-dev (= ${binary:Version}),
         liboce-visualization11 (= ${binary:Version}),
         libx11-dev,
         libxmu-dev,
         libxext-dev,
         libfreetype6-dev,
         libgl1-mesa-dev | libgl-dev,
         libglu1-mesa-dev,
         libgl2ps-dev,
         libfreeimage-dev,
         ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-visualization11.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
UNAME := $(shell uname -m)
DEBUG_PATH := obj-$(DEB_HOST_GNU_TYPE)/Unix/$(UNAME)-RelWithDebInfo-$(DEB_HOST_ARCH_BITS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

%:
	dh $@

override_dh_auto_configure:
	# See in debian/patches/split-export.patch why we must ignore cmake return value
	-dh_auto_configure -- \
        -DFREETYPE_INCLUDE_DIR_freetype2=/usr/include/freetype2 \
        -DOCE_BUILD_SHARED_LIB:BOOL=ON \
        -DOCE_TESTING:BOOL=ON \
        -DOCE_USE_TCL_TEST_FRAMEWORK:BOOL=ON \
        -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
        -DOCE_INSTALL_PREFIX:PATH=/usr \
        -DOCE_INSTALL_LIB_DIR:PATH=lib/$(DEB_HOST_MULTIARCH) \
        -DOCE_INSTALL_CMAKE_DATA_DIR:PATH=lib/$(DEB_HOST_MULTIARCH)/oce-0.17 \
        -DOCE_DRAW:BOOL=ON \
        -DOCE_RPATH_FILTER_SYSTEM_PATHS:BOOL=ON \
        -DCMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES:STRING='/lib/$(DEB_HOST_MULTIARCH);/usr/lib/$(DEB_HOST_MULTIARCH)' \
        -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING='$(CFLAGS)' \
        -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING='$(CXXFLAGS)' \
        -DCMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING='$(LDFLAGS)' \
        -DCMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING='$(LDFLAGS)' \
        -DOCE_MULTITHREAD_LIBRARY:STRING=NONE \
        -DOCE_WITH_FREEIMAGE:BOOL=ON \
        -DOCE_WITH_GL2PS:BOOL=ON \
        -DDART_TESTING_TIMEOUT:STRING='3600'

override_dh_auto_install:
	dh_auto_install
	-mkdir debian/tmp/usr/include/oce/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/include/oce/oce_build_config.defs debian/tmp/usr/include/oce/$(DEB_HOST_MULTIARCH)/oce_build_config.defs
	-mkdir debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	rm debian/tmp/usr/include/oce/config.h
	mv debian/tmp/usr/include/oce/oce-config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/oce-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	# Install manual page
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Noce-draw

override_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/$(DEBUG_PATH) dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## oce 0.18.3

=== examples/find_package_components/CMakeLists.txt ===
# This example shows how to use find_package(OCE) by specifying
# a list of toolkits.
# If a toolkit is missing or if OCE is not found, try to find
# an OpenCascade installation.

cmake_minimum_required(VERSION 2.6)

set(OCE_TOOLKITS TKPrim)
find_package(OCE COMPONENTS ${OCE_TOOLKITS})
if(OCE_FOUND)
    message(STATUS "Found OCE version ${OCE_VERSION}")
    if(NOT OCE_ALL_FOUND)
      set(OCE_FOUND false)
      message(WARNING "Ignoring OCE installation due to missing toolkit(s): ${OCE_MISSING_TOOLKITS}")
    endif(NOT OCE_ALL_FOUND)
endif(OCE_FOUND)

if(OCE_FOUND)
    # Include files reside in ${OCE_INCLUDE_DIRS};
    include_directories(${OCE_INCLUDE_DIRS})
    # We do not need library path, they will be automatically imported.
else(OCE_FOUND)
    # OCE not found; either it is not found and user
    # has to set OCE_DIR to the directory containing
    # OCEConfig.cmake, or OCE is not installed and we
    # try to find OpenCascade files.
    if(DEFINED ENV{CASROOT})
        if(NOT DEFINED OCC_INCLUDE_PATH)
            set(OCC_INCLUDE_PATH "$ENV{CASROOT}/inc")
        endif(NOT DEFINED OCC_INCLUDE_PATH)
        if(NOT DEFINED OCC_LIB_PATH)
            if(WIN32)
                set(OCC_LIB_PATH "$ENV{CASROOT}/win32/lib")
            else(WIN32)
                if(APPLE)
                    set(OCC_LIB_PATH "/Library/OpenCASCADE/6.3.0/lib")
                else(APPLE)
                    set(OCC_LIB_PATH "$ENV{CASROOT}/lin/lib")
                endif(APPLE)
            endif(WIN32)
        endif(NOT DEFINED OCC_LIB_PATH)
    else(DEFINED ENV{CASROOT})
        if(NOT DEFINED OCC_INCLUDE_PATH OR NOT DEFINED OCC_LIB_PATH)
            message(WARNING "To specify paths of OpenCascade files, you may either define the CASROOT environment variable, or set both OCC_INCLUDE_PATH and OCC_LIB_PATH variables.")
        endif(NOT DEFINED OCC_INCLUDE_PATH OR NOT DEFINED OCC_LIB_PATH)
    endif(DEFINED ENV{CASROOT})
    if(DEFINED OCC_INCLUDE_PATH)
        message(STATUS "OCC search path for include files: OCC_INCLUDE_PATH=${OCC_INCLUDE_PATH}")
        include_directories(${OCC_INCLUDE_PATH})
    endif(DEFINED OCC_INCLUDE_PATH)
    if(DEFINED OCC_LIB_PATH)
        message(STATUS "OCC search path for libraries: OCC_LIB_PATH=${OCC_LIB_PATH}")
        link_directories(${OCC_LIB_PATH})
    endif(DEFINED OCC_LIB_PATH)
endif(OCE_FOUND)

add_executable(computeSurface computeSurface.cpp)
target_link_libraries(computeSurface TKPrim)

=== test/BRepAlgoAPI_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(boolean_ops_test "TKPrim;TKBO")
endif (OCE_MODEL)

=== test/BRepExtrema_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepExtrema_test "TKPrim")
endif (OCE_MODEL)

=== test/Standard_StdAllocator_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(Standard_StdAllocator_test "TKernel;TKPrim")
endif (OCE_MODEL)

=== adm/cmake/FWOSPlugin/CMakeLists.txt ===
set(TOOLKIT FWOSPlugin)

set(TOOLKIT_MODULES
	FWOSDriver
)
set(TOOLKIT_DEPENDS
	TKernel
	TKCDF
)

include(../BuildToolkit.cmake)

=== adm/cmake/PTKernel/CMakeLists.txt ===
set(TOOLKIT PTKernel)

set(TOOLKIT_MODULES
	DBC
	PCollection
	PColStd
	PMMgt
	PShort
	PStandard
	PTColStd
	ObjMgt
)
set(TOOLKIT_DEPENDS
	TKernel
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKBinTObj/CMakeLists.txt ===
set(TOOLKIT TKBinTObj)

set(TOOLKIT_MODULES
	BinTObjDrivers
)
set(TOOLKIT_DEPENDS
	TKCDF
	TKernel
	TKTObj
	TKMath
	TKLCAF
	TKBinL
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKBinXCAF/CMakeLists.txt ===
set(TOOLKIT TKBinXCAF)

set(TOOLKIT_MODULES
	BinXCAFDrivers
	BinMXCAFDoc
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKXCAF
	TKMath
	TKernel
	TKBinL
	TKG2d
	TKCAF
	TKCDF
	TKG3d
	TKLCAF
	TKBin
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKBool/CMakeLists.txt ===
set(TOOLKIT TKBool)

set(TOOLKIT_MODULES
	TopOpeBRep
	TopOpeBRepDS
	TopOpeBRepBuild
	TopOpeBRepTool
	BRepAlgo
	BRepFill
	BRepProj
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKTopAlgo
	TKMath
	TKernel
	TKPrim
	TKG2d
	TKG3d
	TKShHealing
	TKGeomBase
	TKGeomAlgo
	TKBO
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKCDF/CMakeLists.txt ===
set(TOOLKIT TKCDF)

set(TOOLKIT_MODULES
	CDM
	PCDM
	CDF
	UTL
	LDOM
)
set(TOOLKIT_DEPENDS
	TKernel
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKDraw/CMakeLists.txt ===
set(TOOLKIT TKDraw)

set(TOOLKIT_MODULES
	Draw
	DBRep
	DrawTrSurf
)
set(TOOLKIT_DEPENDS
	TKernel
	TKG2d
	TKGeomBase
	TKG3d
	TKMath
	TKBRep
	TKGeomAlgo
	TKTopAlgo
	TKMesh
	TKService
	TKHLR
)

set(TOOLKIT_INCLUDE_DIRECTORIES ${TCL_INCLUDE_PATH})
set(TOOLKIT_LIBS ${TCL_LIBRARY} ${CSF_gdi32_LIB} ${CSF_advapi32_LIB} ${CSF_user32_LIB})

if (WIN32 OR OCE_OSX_USE_COCOA)
        set(TOOLKIT_INCLUDE_DIRECTORIES ${TOOLKIT_INCLUDE_DIRECTORIES} ${TK_INCLUDE_PATH})
        set(TOOLKIT_LIBS ${TOOLKIT_LIBS} ${TK_LIBRARY})
else()
        set(TOOLKIT_INCLUDE_DIRECTORIES ${TOOLKIT_INCLUDE_DIRECTORIES} ${X11_X11_INCLUDE_PATH} ${TK_INCLUDE_PATH})
        set(TOOLKIT_LIBS ${TOOLKIT_LIBS} ${TK_LIBRARY} ${X11_X11_LIB})
endif()

set(TOOLKIT_IS_PRIVATE TRUE)

include(../BuildToolkit.cmake)

=== adm/cmake/TKFeat/CMakeLists.txt ===
set(TOOLKIT TKFeat)

set(TOOLKIT_MODULES
	LocOpe
	BRepFeat
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKTopAlgo
	TKGeomAlgo
	TKMath
	TKernel
	TKGeomBase
	TKPrim
	TKG2d
	TKBO
	TKG3d
	TKBool
)

include(../BuildToolkit.cmake)

=== debian/changelog ===
oce (0.18.3-2) unstable; urgency=medium

  * Team upload.
  * [11daad6] Fix autopkgtest regression with CMake 3.19+

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Sep 2021 19:18:41 +0200

oce (0.18.3-1) unstable; urgency=medium

  * [6d4ae1c] New upstream version 0.18.3
  * [44dbe75] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Nov 2019 10:00:35 +0100

oce (0.18.2-4) unstable; urgency=medium

  * [f2c30d7] Fix cmake warning because of missing "project" command. (Closes: #944892)
  * [cd025ab] Set compat-level to 12
  * [e3239b1] Set Standards-Version to 4.4.1
  * [7fa916f] Trim trailing whitespace.
  * [e5e9cfc] Remove patches missing from debian/patches/series.
  * [d390a0e] Set upstream metadata fields: Repository.
  * [4722321] Rely on pre-initialized dpkg-architecture variables.
  * [409b696] Update d/upstream/metadata

 -- Anton Gladky <gladk@debian.org>  Fri, 22 Nov 2019 22:39:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: oce
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>,
            Denis Barbier <barbier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                libfreeimageplus-dev,
                libfreetype6-dev,
                libgl1-mesa-dev | libgl-dev,
@@ -17,7 +16,7 @@
                quilt,
                tcl8.6-dev,
                tk8.6-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/oce
 Vcs-Git: https://salsa.debian.org/science-team/oce.git
 Homepage: https://github.com/tpaviot/oce/wiki
@@ -130,7 +129,7 @@
  This package is based on OCE, OpenCASCADE Community Edition, which is
  maintained by a community of developers, and not by OpenCASCADE SAS.
  .
- This package provides OpenCASCADE Application Framework services and 
+ This package provides OpenCASCADE Application Framework services and
  support for data exchange.
  .
  This package contains the following shared libraries:

=== debian/tests/control ===
Tests: build1
Depends: liboce-modeling-dev, build-essential, cmake

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/tpaviot/oce/tags .*/OCE-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## oce 1.0-1

=== DESCRIPTION ===
Package: oce
Type: Package
Title: Analysis of Oceanographic Data
Version: 1.0-1
Authors@R: c(
    person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre"), comment=c(ORCID="https://orcid.org/0000-0001-7808-5911")),
    person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut"), comment=c(ORCID="https://orcid.org/0000-0002-7833-206X")),
    person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment=c(ORCID="https://orcid.org/0000-0002-3199-5763", "curl() coauthor")),
    person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, testthat, gsw
Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
        1.1-9), R.utils, knitr, rmarkdown, marmap, lubridate
BugReports: https://github.com/dankelley/oce/issues
Description: Supports the analysis of Oceanographic data, including 'ADCP'
    measurements, measurements made with 'argo' floats, 'CTD' measurements,
    sectional data, sea-level time series, coastline and topographic data, etc.
    Provides specialized functions for calculating seawater properties such as
    potential temperature in either the 'UNESCO' or 'TEOS-10' equation of state.
    Produces graphical displays that conform to the conventions of the Oceanographic
    literature.
License: GPL (>= 2)
Encoding: UTF-8
URL: https://dankelley.github.io/oce
LazyData: false
RoxygenNote: 6.1.0
BuildVignettes: true
VignetteBuilder: knitr
NeedsCompilation: yes
LinkingTo: Rcpp
Imports: Rcpp
Packaged: 2018-10-04 15:11:17 UTC; kelley
Author: Dan Kelley [aut, cre] (<https://orcid.org/0000-0001-7808-5911>),
  Clark Richards [aut] (<https://orcid.org/0000-0002-7833-206X>),
  Chantelle Layton [ctb] (<https://orcid.org/0000-0002-3199-5763>, curl()
    coauthor),
  British Geological Survey [ctb, cph] (magnetic-field subroutine)
Repository: CRAN
Date/Publication: 2018-10-04 16:00:03 UTC

## oce 1.1-1

=== DESCRIPTION ===
Package: oce
Type: Package
Title: Analysis of Oceanographic Data
Version: 1.1-1
Authors@R: c(
    person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre"), comment=c(ORCID="https://orcid.org/0000-0001-7808-5911")),
    person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut"), comment=c(ORCID="https://orcid.org/0000-0002-7833-206X")),
    person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment=c(ORCID="https://orcid.org/0000-0002-3199-5763", "curl() coauthor")),
    person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, testthat, gsw
Suggests: akima, automap, DBI, foreign, knitr, lubridate, marmap,
        ncdf4, ocedata, rgdal (>= 1.4.3), rmarkdown, RSQLite, R.utils,
        sp, tiff
BugReports: https://github.com/dankelley/oce/issues
Description: Supports the analysis of Oceanographic data, including 'ADCP'
    measurements, measurements made with 'argo' floats, 'CTD' measurements,
    sectional data, sea-level time series, coastline and topographic data, etc.
    Provides specialized functions for calculating seawater properties such as
    potential temperature in either the 'UNESCO' or 'TEOS-10' equation of state.
    Produces graphical displays that conform to the conventions of the
    Oceanographic literature. This package is discussed extensively in
    Dan Kelley's book Oceanographic Analysis with R, published
    in 2018 by 'Springer-Verlag' with ISBN 978-1-4939-8842-6.
License: GPL (>= 2)
Encoding: UTF-8
URL: https://dankelley.github.io/oce
LazyData: false
RoxygenNote: 6.1.1
BuildVignettes: true
VignetteBuilder: knitr
NeedsCompilation: yes
LinkingTo: Rcpp
Imports: Rcpp
Packaged: 2019-06-16 14:45:41 UTC; kelley
Author: Dan Kelley [aut, cre] (<https://orcid.org/0000-0001-7808-5911>),
  Clark Richards [aut] (<https://orcid.org/0000-0002-7833-206X>),
  Chantelle Layton [ctb] (<https://orcid.org/0000-0002-3199-5763>, curl()
    coauthor),
  British Geological Survey [ctb, cph] (magnetic-field subroutine)
Repository: CRAN
Date/Publication: 2019-06-17 12:20:03 UTC

## oce 1.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Package: oce
 Type: Package
 Title: Analysis of Oceanographic Data
-Version: 1.1-1
+Version: 1.2-0
 Authors@R: c(
     person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre"), comment=c(ORCID="https://orcid.org/0000-0001-7808-5911")),
     person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut"), comment=c(ORCID="https://orcid.org/0000-0002-7833-206X")),
     person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment=c(ORCID="https://orcid.org/0000-0002-3199-5763", "curl() coauthor")),
     person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"))
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
-Depends: R (>= 2.15), utils, methods, testthat, gsw
-Suggests: akima, automap, DBI, foreign, knitr, lubridate, marmap,
-        ncdf4, ocedata, rgdal (>= 1.4.3), rmarkdown, RSQLite, R.utils,
-        sp, tiff
+Depends: R (>= 2.15), gsw, methods, testthat, utils
+Suggests: akima, automap, DBI, foreign, knitr, lubridate, ncdf4,
+        ocedata, raster (>= 1.4.3), rgeos, rgdal, rmarkdown, RSQLite,
+        R.utils, sf, sp, tiff, XML
 BugReports: https://github.com/dankelley/oce/issues
 Description: Supports the analysis of Oceanographic data, including 'ADCP'
     measurements, measurements made with 'argo' floats, 'CTD' measurements,
@@ -26,17 +26,17 @@
 Encoding: UTF-8
 URL: https://dankelley.github.io/oce
 LazyData: false
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 BuildVignettes: true
 VignetteBuilder: knitr
 NeedsCompilation: yes
 LinkingTo: Rcpp
 Imports: Rcpp
-Packaged: 2019-06-16 14:45:41 UTC; kelley
+Packaged: 2020-02-21 16:35:20 UTC; kelley
 Author: Dan Kelley [aut, cre] (<https://orcid.org/0000-0001-7808-5911>),
   Clark Richards [aut] (<https://orcid.org/0000-0002-7833-206X>),
   Chantelle Layton [ctb] (<https://orcid.org/0000-0002-3199-5763>, curl()
     coauthor),
   British Geological Survey [ctb, cph] (magnetic-field subroutine)
 Repository: CRAN
-Date/Publication: 2019-06-17 12:20:03 UTC
+Date/Publication: 2020-02-21 17:40:02 UTC
